# Retrieve a nominal speed (https://docs.pulsarml.com/v1/api-reference/nominal-speeds/get-nominal-speeds-nominal_speed_id)

Return one nominal-speed record by id.

## `GET /v1/nominal-speeds/{nominal_speed_id}`

Base URLs:
- `https://draco.prod.pulsarml.com` — Production
- `https://draco.dev.pulsarml.com` — Development (sandbox)

Authentication: send your API key in the `x-api-key` header.

### Path parameters

- `nominal_speed_id` (string (uuid4), required) — The nominal speed ID.

### Responses

#### 200 — The nominal speed record

Type: object (`GetNominalSpeedByIdResponseV1`)

- `id` (string, required, e.g. `"36f7b519-d93e-4ec8-8245-7f4b8c123456"`) — The unique identifier for the nominal speed.
- `machine` (object, required) — The machine associated with the nominal speed.
  - `id` (integer, required, e.g. `1`) — The unique identifier for the machine.
  - `name` (string, required, e.g. `"machine 1"`) — The name of the machine.
- `sku` (object, required) — The sku associated with the nominal speed.
  - `id` (string, required, e.g. `"f1c3a9e9-1cef-4d1d-a6d7-e18607cbfa55"`) — The unique identifier for the sku.
  - `name` (string, required, e.g. `"sku 1"`) — The name of the sku.
  - `description` (string, required, e.g. `"sku 1 description"`) — The description of the sku.
  - `unit` (string, required, e.g. `"sku 1 unit"`) — The unit of the sku.
- `nominalSpeed` (number, required, e.g. `100`) — The nominal speed of the machine.
- `countingFactor` (number, required, e.g. `1`) — The counting factor of the sensor associated with the machine and sku.
- `createdAt` (string (date-time), required, e.g. `"2024-01-01T00:00:00.000Z"`) — The timestamp when the nominal speed was created.
- `updatedAt` (string (date-time), required, e.g. `"2024-01-01T00:00:00.000Z"`) — The timestamp when the nominal speed was last updated.
- `deletedAt` (string (date-time), optional, nullable, e.g. `"2024-01-02T00:00:00.000Z"`) — The timestamp when the nominal speed was deleted, if applicable.

#### 422 — Validation Error

Type: object (`HTTPValidationError`)

- `detail` (array of object, optional)
  - `loc` (array of string | integer, required)
  - `msg` (string, required)
  - `type` (string, required)

### Example request

```bash
curl -X GET 'https://draco.prod.pulsarml.com/v1/nominal-speeds/<nominal_speed_id>' \
  -H 'x-api-key: <YOUR_API_KEY>'
```